Request
curl -X POST https://sandbox.api.lendeasy.ai /v1/servicing/admin/case-types/$CASE_TYPE_CODE/reasons \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"code": "PAYMENT_DISPUTE",
"displayName": "Payment dispute",
"handlingMode": "WORKFLOW",
"workflowKey": "COLLECTIONS_DEFAULT",
"enabled": true ,
"reason": "Route payment disputes through the collections flow."
}' await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/admin/case-types/${caseTypeCode}/reasons` , {
method: "POST" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotencyKey, "Content-Type" : "application/json" },
body: JSON.stringify({
"code": "PAYMENT_DISPUTE",
"displayName": "Payment dispute",
"handlingMode": "WORKFLOW",
"workflowKey": "COLLECTIONS_DEFAULT",
"enabled": true ,
"reason": "Route payment disputes through the collections flow."
}),
});requests.post(
f"https://sandbox.api.lendeasy.ai /v1/servicing/admin/case-types/{case_type_code}/reasons" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotency_key},
json={
"code": "PAYMENT_DISPUTE",
"displayName": "Payment dispute",
"handlingMode": "WORKFLOW",
"workflowKey": "COLLECTIONS_DEFAULT",
"enabled": true ,
"reason": "Route payment disputes through the collections flow."
},
)201 400 401 403 404 409
{
"resourceId": 31 ,
"changes": {
"operation": "CREATE_REASON",
"caseTypeCode": "COLLECTIONS"
}
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "409",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "idempotency.request.in.flight",
"errors": []
}